rio_disc_peer
Prev | Enumeration and Discovery | Next

## Name

rio_disc_peer — Recursively discovers a RIO network through a master port

## Synopsis

`int rio_disc_peer (` | struct rio_net * | net,
| struct rio_mport * | port,
| u16 | destid,
| u8 | hopcount`)`;

## Arguments

`net`

  RIO network being discovered

`port`

  Master port to send transactions

`destid`

  Current destination ID in network

`hopcount`

  Number of hops into the network

## Description

Recursively discovers a RIO network. Transactions are sent via the master port passed in `port`.

Prev | Up | Next
rio_enum_complete | Home | rio_mport_is_active